Package javax.mail.event

# Interface FolderListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `FolderAdapter`

public interface FolderListener extends EventListener
This is the Listener interface for Folder events.

Author:
  John Mani

## Method Summary

Modifier and Type
Method
Description
`void`
`folderCreated(FolderEvent e)`
Invoked when a Folder is created.
`void`
`folderDeleted(FolderEvent e)`
Invoked when a folder is deleted.
`void`
`folderRenamed(FolderEvent e)`
Invoked when a folder is renamed.

## Method Details

### folderCreated

void folderCreated(FolderEvent e)
Invoked when a Folder is created.

Parameters:
  `e` - the FolderEvent

### folderDeleted

void folderDeleted(FolderEvent e)
Invoked when a folder is deleted.

Parameters:
  `e` - the FolderEvent

### folderRenamed

void folderRenamed(FolderEvent e)
Invoked when a folder is renamed.

Parameters:
  `e` - the FolderEvent